---
layout: default
title: Home
---

The ability to *represent knowledge about the world* and to *draw logical inferences* is one of the central components of intelligent behavior, as a consequence, reasoning components of some form are at the heart of many artificial intelligence systems.

The KWARC research group conducts research in knowledge representation and reasoning techniques with a view towards applications in knowledge management. 
We extend techniques from [formal methods](http://kwarc.info/semantics.html#fm) so that they can be used in settings where formalization is either infeasible or too costly. 
We concentrate on developing techniques for marking up the [structural semantics](http://kwarc.info/semantics.html#ssem) in technical documents. 
This level of markup allows for offering interesting [knowledge management services](http://kwarc.info/projects/) without forcing the author to formalize the document contents.

    

## Recent News ([see all](/news/))
 
<ul class="collection">
    {% for post in site.posts limit:5 %}
        {% include post_link.html %}
    {% endfor %}
</ul>

<p>&copy; {{ site.time | date: '%Y' }}. All rights reserved.</p>





